# Interface RunnableScheduledFuture<V>

Type Parameters:
  `V` - The result type returned by this Future's `get` method

All Superinterfaces:
  `Comparable<Delayed>, Delayed, Future<V>, Runnable, RunnableFuture<V>, ScheduledFuture<V>`

public interface RunnableScheduledFuture<V> extends RunnableFuture<V>, ScheduledFuture<V>
A `ScheduledFuture` that is `Runnable`. Successful execution of the `run` method causes completion of the `Future` and allows access to its results.

Since:
  1.6
See Also:
  - `FutureTask`
  - `Executor`

## Nested Class Summary

### Nested classes/interfaces declared in interface Future

`Future.State`
Modifier and Type
Interface
Description
`static enum`
`Future.State`
Represents the computation state.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPeriodic()`
Returns `true` if this task is periodic.

### Methods declared in interface Comparable

`compareTo`
Modifier and Type
Method
Description
`int`
`compareTo(Delayed o)`
Compares this object with the specified object for order.

### Methods declared in interface Delayed

`getDelay`
Modifier and Type
Method
Description
`long`
`getDelay(TimeUnit unit)`
Returns the remaining delay associated with this object, in the given time unit.

### Methods declared in interface Future

`cancel, exceptionNow, get, get, isCancelled, isDone, resultNow, state`
Modifier and Type
Method
Description
`boolean`
`cancel(boolean mayInterruptIfRunning)`
Attempts to cancel execution of this task.
`default Throwable`
`exceptionNow()`
Returns the exception thrown by the task, without waiting.
`V`
`get()`
Waits if necessary for the computation to complete, and then retrieves its result.
`V`
`get(long timeout, TimeUnit unit)`
Waits if necessary for at most the given time for the computation to complete, and then retrieves its result, if available.
`boolean`
`isCancelled()`
Returns `true` if this task was cancelled before it completed normally.
`boolean`
`isDone()`
Returns `true` if this task completed.
`default V`
`resultNow()`
Returns the computed result, without waiting.
`default Future.State`
`state()`
Returns the computation state.

### Methods declared in interface RunnableFuture

`run`
Modifier and Type
Method
Description
`void`
`run()`
Sets this Future to the result of its computation unless it has been cancelled (or has already been invoked, in which case effects are undefined).

## Method Details

### isPeriodic

boolean isPeriodic()
Returns `true` if this task is periodic. A periodic task may re-run according to some schedule. A non-periodic task can be run only once.

Returns:
  `true` if this task is periodic